Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Struct Nes::Core::Input::Controllers::FamilyTrainer

struct Nes::Core::Input::Controllers::FamilyTrainer

Family Trainer.

Inner Classes, Typedefs, and Enums
`typedef` | `Nes::Core::Input::Controllers::FamilyTrainer::PollCallback`

Field Summary
`static PollCaller1< FamilyTrainer >` | `callback`
`bool[ NUM_SIDE_A_BUTTONS ]` | `sideA`
`bool[ NUM_SIDE_B_BUTTONS ]` | `sideB`

Constructor Summary
`FamilyTrainer()`

Field Detail

### callback

    public static PollCaller1< FamilyTrainer > callback;

### sideA

    public bool sideA[ NUM_SIDE_A_BUTTONS ];

### sideB

    public bool sideB[ NUM_SIDE_B_BUTTONS ];

Constructor Detail

### FamilyTrainer

    public FamilyTrainer() throw();

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD